summaryrefslogtreecommitdiffstats
path: root/network/sylpheed
diff options
context:
space:
mode:
author Martin Lefebvre2010-05-11 15:01:37 +0200
committer Michiel van Wessem2010-05-11 15:01:37 +0200
commit7d81370b4d67036e1696db79a2ee9b8b28295e5f (patch)
tree6df9bb61bd002d3ddd84d21b2bde79f5bf874b61 /network/sylpheed
parent85b5e6b5712c36aaa65b0f4f669c32386704bf3e (diff)
downloadslackbuilds-7d81370b4d67036e1696db79a2ee9b8b28295e5f.tar.gz
network/sylpheed: Initial import
Diffstat (limited to 'network/sylpheed')
-rw-r--r--network/sylpheed/README4
-rw-r--r--network/sylpheed/doinst.sh5
-rw-r--r--network/sylpheed/slack-desc9
-rw-r--r--network/sylpheed/sylpheed.SlackBuild91
-rw-r--r--network/sylpheed/sylpheed.info8
5 files changed, 117 insertions, 0 deletions
diff --git a/network/sylpheed/README b/network/sylpheed/README
new file mode 100644
index 0000000000..f775b9a9bc
--- /dev/null
+++ b/network/sylpheed/README
@@ -0,0 +1,4 @@
+Sylpheed is an e-mail client based on GTK+ GUI toolkit.
+It runs on X Window System, and Microsoft Windows.
+
+Sylpheed is a free software distributed under the GNU GPL.
diff --git a/network/sylpheed/doinst.sh b/network/sylpheed/doinst.sh
new file mode 100644
index 0000000000..382269a754
--- /dev/null
+++ b/network/sylpheed/doinst.sh
@@ -0,0 +1,5 @@
+
+if [ -x usr/bin/update-desktop-database ]; then
+ ./usr/bin/update-desktop-database ./usr/share/applications > /dev/null 2>&1
+fi
+
diff --git a/network/sylpheed/slack-desc b/network/sylpheed/slack-desc
new file mode 100644
index 0000000000..81d62ab5ce
--- /dev/null
+++ b/network/sylpheed/slack-desc
@@ -0,0 +1,9 @@
+sylpheed: sylpheed email client
+sylpheed:
+sylpheed: Sylpheed is an e-mail client based on GTK+ GUI toolkit.
+sylpheed: It runs on X Window System, and Microsoft Windows.
+sylpheed:
+sylpheed: Sylpheed is a free software distributed under the GNU GPL.
+sylpheed:
+sylpheed:
+sylpheed:
diff --git a/network/sylpheed/sylpheed.SlackBuild b/network/sylpheed/sylpheed.SlackBuild
new file mode 100644
index 0000000000..5458455627
--- /dev/null
+++ b/network/sylpheed/sylpheed.SlackBuild
@@ -0,0 +1,91 @@
+#!/bin/sh
+
+# Slackware build script for sylpheed
+
+# Copyright 2006 Martin Lefebvre (http://dadexter.slackadelic.com)
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by the SlackBuilds.org project
+
+set -e
+
+PRGNAM=sylpheed
+VERSION=2.4.1
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var
+
+make
+make install-strip DESTDIR=$PKG
+
+# Fix icon path in .desktop file prior to installing it
+sed -i 's|sylpheed.png|/usr/share/pixmaps/sylpheed.png|g' sylpheed.desktop
+
+# Install desktop file and icon (we'll use the largest icon available by
+# default - that way, it will scale down just fine for users who need a
+# smaller one, but smaller ones don't always scale larger so well)
+mkdir -p $PKG/usr/share/{applications,pixmaps}
+install -m 0644 sylpheed.desktop $PKG/usr/share/applications/sylpheed.desktop
+install -m 0644 sylpheed-128x128.png $PKG/usr/share/pixmaps/sylpheed.png
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ABOUT-NLS AUTHORS COPYING* ChangeLog* INSTALL* LICENSE NEWS* README* \
+ TODO* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# Put links to manual and faq in doc directory (leave them in current location
+# in case any app-specific help files look there)
+( cd $PKG/usr/doc/$PRGNAM-$VERSION
+ ln -s ../../share/sylpheed/faq faq
+ ln -s ../../share/sylpheed/manual manual
+)
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/network/sylpheed/sylpheed.info b/network/sylpheed/sylpheed.info
new file mode 100644
index 0000000000..c0ec472e41
--- /dev/null
+++ b/network/sylpheed/sylpheed.info
@@ -0,0 +1,8 @@
+PRGNAM="sylpheed"
+VERSION="2.4.1"
+HOMEPAGE="http://sylpheed.sraoss.jp/en/"
+DOWNLOAD="http://sylpheed.sraoss.jp/sylpheed/v2.4/sylpheed-2.4.1.tar.bz2"
+MD5SUM="88b51ceaba16ac40d19eae414a87dcbe"
+MAINTAINER="Martin Lefebvre"
+EMAIL="dadexter@slackadelic.com"
+APPROVED="BP{k},rworkman"